Subject: Re: What's cooking in git.git (Jan 2026, #04)

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 14 Jan 2026 06:20:50 +0100

On Tue, Jan 13, 2026 at 12:10:13PM -0800, Junio C Hamano wrote:
> * ps/read-object-info-improvements (2026-01-12) 8 commits
>  - packfile: drop repository parameter from `packed_object_info()`
>  - packfile: skip unpacking object header for disk size requests
>  - packfile: disentangle return value of `packed_object_info()`
>  - packfile: always populate pack-specific info when reading object info
>  - packfile: extend `is_delta` field to allow for "unknown" state
>  - packfile: always declare object info to be OI_PACKED
>  - object-file: always set OI_LOOSE when reading object info
>  - Merge branch 'jc/object-read-stream-fix' into ps/read-object-info-improvements
> 
>  The object-info API has been cleaned up.
> 
>  Comments?
>  source: <202[email-masked]>

I think this topic should be ready by now. The last iteration only added
another test that catches a bug we recently started to hit in production
systems, and the previous iterations all received reviews.

I can try to loop in another set of reviewers though if you prefer.

> * ps/packfile-store-in-odb-source (2026-01-09) 12 commits
>  - packfile: move MIDX into packfile store
>  - packfile: refactor `find_pack_entry()` to work on the packfile store
>  - packfile: inline `find_kept_pack_entry()`
>  - packfile: only prepare owning store in `packfile_store_prepare()`
>  - packfile: only prepare owning store in `packfile_store_get_packs()`
>  - packfile: move packfile store into object source
>  - packfile: refactor misleading code when unusing pack windows
>  - packfile: refactor kept-pack cache to work with packfile stores
>  - packfile: pass source to `prepare_pack()`
>  - packfile: create store via its owning source
>  - Merge branch 'ps/odb-misc-fixes' into ps/packfile-store-in-odb-source
>  - Merge branch 'ps/object-read-stream' into ps/packfile-store-in-odb-source
>  (this branch uses ps/odb-misc-fixes.)
> 
>  The packfile_store data structure is moved from object store to odb
>  source.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

Works for me.

I also noticed that the patch series at [1] is not in "seen" yet. Is
that intentional or merely an oversight?

Thanks!

Patrick

[1]: <[email-masked]>